uk.gov.hmrc.mongo.test

# MongoCollectionSupport

###
Related Docs: object MongoCollectionSupport | package test

#### trait MongoCollectionSupport extends MongoSupport

Linear Supertypes
MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
CleanMongoCollectionSupport, DefaultMongoCollectionSupport, IndexedMongoQueriesSupport
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoCollectionSupport
2. MongoSupport
3. ScalaFutures
4. Futures
5. PatienceConfiguration
6. AbstractPatienceConfiguration
7. ScaledTimeSpans
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### trait FutureConcept[T] extends AnyRef

   Definition Classes
     Futures

2. #### final case class PatienceConfig extends Product with Serializable

   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1. #### abstract val collectionName: String

   Attributes
     protected

2. #### abstract val indexes: Seq[IndexModel]

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): FutureConcept[T]

   Definition Classes
     ScalaFutures

7. #### def createCollection(): Unit

   Attributes
     protected

8. #### def createIndexes(): Seq[String]

   Attributes
     protected

9. #### val databaseName: String

   Attributes
     protected
   Definition Classes
     MongoSupport

10. #### def dropCollection(): Unit

    Attributes
      protected

11. #### def dropDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoSupport

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def interval(value: Span): Interval

    Definition Classes
      PatienceConfiguration

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### lazy val mongoClient: MongoClient

    Attributes
      protected
    Definition Classes
      MongoSupport

20. #### lazy val mongoCollection: MongoCollection[Document]

    Attributes
      protected

21. #### lazy val mongoComponent: MongoComponent

    Attributes
      protected
    Definition Classes
      MongoSupport

22. #### lazy val mongoDatabase: MongoDatabase

    Attributes
      protected
    Definition Classes
      MongoSupport

23. #### val mongoUri: String

    Attributes
      protected
    Definition Classes
      MongoSupport

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### implicit def patienceConfig: PatienceConfig

    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration

28. #### def prepareDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoCollectionSupport → MongoSupport

29. #### final def scaled(span: Span): Span

    Definition Classes
      ScaledTimeSpans

30. #### def spanScaleFactor: Double

    Definition Classes
      ScaledTimeSpans

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def timeout(value: Span): Timeout

    Definition Classes
      PatienceConfiguration

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]

    Attributes
      protected
    Definition Classes
      MongoSupport

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def whenReady[T, U](future: FutureConcept[T])(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

39. #### final def whenReady[T, U](future: FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

40. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

41. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped